> ## Documentation Index
> Fetch the complete documentation index at: https://docs.asksurf.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Current Gas Price



## OpenAPI

````yaml openapi.json GET /gateway/v1/onchain/gas-price
openapi: 3.1.0
info:
  title: Hermod
  version: 0.0.1
servers:
  - url: https://api.asksurf.ai
security: []
paths:
  /gateway/v1/onchain/gas-price:
    get:
      tags:
        - Onchain
      summary: Current Gas Price
      description: >-
        Returns the current gas price for an EVM chain via `eth_gasPrice`
        JSON-RPC.


        **Included fields:** gas price in both wei (raw) and Gwei
        (human-readable).


        **Supported chains:** `ethereum`, `polygon`, `bsc`, `arbitrum`,
        `optimism`, `base`, `avalanche`, `fantom`, `linea`, `cyber`.
      operationId: onchain-gas-price
      parameters:
        - description: >-
            Chain. Can be `ethereum`, `polygon`, `bsc`, `arbitrum`, `optimism`,
            `base`, `avalanche`, `fantom`, `linea`, or `cyber`.
          explode: false
          in: query
          name: chain
          required: true
          schema:
            description: >-
              Chain. Can be `ethereum`, `polygon`, `bsc`, `arbitrum`,
              `optimism`, `base`, `avalanche`, `fantom`, `linea`, or `cyber`.
            enum:
              - ethereum
              - polygon
              - bsc
              - arbitrum
              - optimism
              - base
              - avalanche
              - fantom
              - linea
              - cyber
            examples:
              - ethereum
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DataObjectResponseOnchainGasPriceItem'
          description: OK
        default:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DataAPIError'
          description: Error
      security:
        - AccessToken: []
components:
  schemas:
    DataObjectResponseOnchainGasPriceItem:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          examples:
            - >-
              https://example.com/schemas/DataObjectResponseOnchainGasPriceItem.json
          format: uri
          readOnly: true
          type: string
        data:
          $ref: '#/components/schemas/OnchainGasPriceItem'
        meta:
          $ref: '#/components/schemas/ObjectResponseMeta'
      required:
        - data
        - meta
      type: object
    DataAPIError:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          examples:
            - https://example.com/schemas/DataAPIError.json
          format: uri
          readOnly: true
          type: string
        error:
          $ref: '#/components/schemas/DataAPIErrorDetail'
      required:
        - error
      type: object
    OnchainGasPriceItem:
      additionalProperties: false
      properties:
        chain:
          description: Canonical chain name
          type: string
        gas_price:
          description: Gas price in wei
          type: string
        gas_price_gwei:
          description: Gas price in Gwei
          format: double
          type: number
      required:
        - chain
        - gas_price
        - gas_price_gwei
      type: object
    ObjectResponseMeta:
      additionalProperties: false
      properties:
        cached:
          description: Whether this response was served from cache
          type: boolean
        credits_used:
          description: Credits deducted for this request
          format: int64
          type: integer
      required:
        - credits_used
        - cached
      type: object
    DataAPIErrorDetail:
      additionalProperties: false
      properties:
        code:
          type: string
        message:
          type: string
      required:
        - code
        - message
      type: object

````